summaryrefslogtreecommitdiff
path: root/post-apt.d/30git-add
diff options
context:
space:
mode:
Diffstat (limited to 'post-apt.d/30git-add')
-rwxr-xr-xpost-apt.d/30git-add6
1 files changed, 4 insertions, 2 deletions
diff --git a/post-apt.d/30git-add b/post-apt.d/30git-add
index 06504b4..79aa406 100755
--- a/post-apt.d/30git-add
+++ b/post-apt.d/30git-add
@@ -1,5 +1,7 @@
#!/bin/sh
set -e
-if ! git-add .; then
- echo "etckeeper warning: git-add failed" >&2
+if [ -d .git ]; then
+ if ! git-add .; then
+ echo "etckeeper warning: git-add failed" >&2
+ fi
fi